Package org.eclipse.osgi.service.runnable

# Interface StartupMonitor

public interface StartupMonitor
Service interface used to monitor the startup process. Bundles can register a monitor in order to be given processing time on the primary thread during the startup process. Clients with threading restrictions can use this interface to process events that may have been collected from another thread.

Monitors share time on the primary thread. The primary thread used to run the application will not proceed until monitors return from any operation. Because of this, monitors should not perform long running operations.

Clients may implement this interface but should not invoke it. The platform is responsible for invoking the monitor at the appropriate times.

Since:
  3.3

## Method Summary

Modifier and Type
Method
Description
`void`
`applicationRunning()`
This method is called by the platform from the primary thread once the application is completely initialized and running.
`void`
`update()`
Update the monitor.

## Method Details

### update

void update()
Update the monitor. This method is periodically called by the platform from the primary thread during periods where the primary thread is waiting on another thread (ie start level increasing, refreshing packages)

If multiple monitors are registered then the platform will only call the monitor with the highest service ranking. In case of a service ranking tie the service with the lowest service id is selected (i.e. the first monitor registered).

### applicationRunning

void applicationRunning()
This method is called by the platform from the primary thread once the application is completely initialized and running. This method should perform certain operations that are needed once an application is running. One example is bringing down a splash screen if it exists.

If multiple monitors are registered then the platform will call all monitors. The monitors are called according to service ranking; monitors with higher service rankings are called first. In case of a service ranking tie the service with the lowest service id is called first (i.e. the first monitor registered).